Ondersteuning » Plugin vragen » fatal error

  • Goden dag ,

    Ik krijg de volgende fout melding.
    zie verder nog geen herstel mail van WP of herstel mode email van WP en heb geen idee!
    Heeft dit iets te doen met de update naar php 8 bij one.com of moet ik ergens anders zoeken ?

    Hoor graag

    BVD

    gr

    Marco

    Fatal error: Uncaught ArgumentCountError: Too few arguments to function WP_Widget::__construct(), 0 passed in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/class-wp-widget-factory.php on line 62 and at least 2 expected in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/class-wp-widget.php:163 Stack trace: #0 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/class-wp-widget-factory.php(62): WP_Widget->__construct() #1 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/widgets.php(115): WP_Widget_Factory->register('Layers_Dawg_Pos...') #2 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/plugins/layers-dawg-ct-cpt/widgets/layers_dawg_post_widget.php(643): register_widget('Layers_Dawg_Pos...') #3 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-content/plugins/layers-dawg-ct-cpt/includes/class-layers-dawg-ct-cpt.php(352): require_once('/customers/3/d/...') #4 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/class-wp-hook.php(308): Layers_Dawg_CT_CPT->register_widgets('') #5 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/class-wp-hook.php(332): WP_Hook->apply_filters(NULL, Array) #6 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/plugin.php(517): WP_Hook->do_action(Array) #7 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/widgets.php(1854): do_action('widgets_init') #8 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/class-wp-hook.php(308): wp_widgets_init('') #9 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/class-wp-hook.php(332): WP_Hook->apply_filters(NULL, Array) #10 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/plugin.php(517): WP_Hook->do_action(Array) #11 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-settings.php(617): do_action('init') #12 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-config.php(82): require_once('/customers/3/d/...') #13 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-load.php(50): require_once('/customers/3/d/...') #14 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-admin/admin.php(34): require_once('/customers/3/d/...') #15 /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-admin/index.php(10): require_once('/customers/3/d/...') #16 {main} thrown in /customers/3/d/2/vanhetbakhuisje.nl/httpd.www/wp-includes/class-wp-widget.php on line 163

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

3 reacties aan het bekijken - 1 tot 3 (van in totaal 3)
  • Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Je draait nu PHP 8.1 – en die fatal en ook andere meldingen zijn hoogst waarschijnlijk hierdoor ja. Draaide je nog erg oude versies van WordPress, plugins of thema’s? Best kijken of je tijdelijk nog op PHP 7.4 kan, alles updaten en dan opnieuw testen is de eerste test die je kan doen.

    Thread starter bakkie69

    (@bakkie69)

    Goeden dag Jeroen ,

    Dank voor je snelle reactie.
    Ik kan via one.com niet terug naar 7.4 ,
    Kan je mij wat richting geven waar ik evt kan vinden hoe dit anders op te lossen ?

    bvd
    marco

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Je zou kunnen proberen om tijdelijk de plugins map te hernoemen in /wp-content/plugins/ – dat heeft het gevolg dat alle plugins gedeactiveerd worden, misschien kan je dan alweer in je dashboard om WordPress up te daten en te kijken of het beter loopt, maar je hebt wellicht ook plugin en/of thema’s die nog niet op de nieuwste versies waren, klopt dat?

    Beetje jammer dat One.com zo fixed op PHP 8 zet, kan je naar PHP 8.0 toevallig? Indien ja, probeer dat dan gerust ook even uit.

3 reacties aan het bekijken - 1 tot 3 (van in totaal 3)